package com.ejie.ab79.service.propuestaSancion;

import java.util.List;

import com.ejie.ab79.model.propuestaSancion.DerechosPropuesta;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;

public interface PropuestaSancionDerechosService {
	/**
	 * Adds a row in the DerechosPropuesta table.
	 *
	 * @param derechos
	 *            DerechosPropuesta
	 * 
	 * @return DerechosPropuesta
	 */
	DerechosPropuesta add(DerechosPropuesta derechosPropuesta);

	/**
	 * Busca en la tabla de derechos y obligaciones
	 * 
	 * @param filterDerechos
	 * @param tableRequestDto
	 * @param b
	 * @return
	 */
	TableResponseDto<DerechosPropuesta> filter(DerechosPropuesta filterDerechos, TableRequestDto tableRequestDto,
			boolean b);

	void remove(DerechosPropuesta filterDerechos);

	long findAllCount(DerechosPropuesta filterDerechos);

	List<DerechosPropuesta> findAllDerechosPropuesta(DerechosPropuesta filterDerechos, TableRequestDto tableRequestDto);

}
